ENT.Type = "anim"
ENT.Base = "base_anim"
ENT.PrintName = "Tanksäule"
ENT.Spawnable = true
ENT.Category = "Mapobjekte"
ENT.Spawnable = true

function ENT:SetupDataTables()
	self:NetworkVar("Entity", 0, "VehicleEntity")
	self:NetworkVar("String", 0, "VehicleClass")
	self:NetworkVar("Float", 0, "Fuel")
	self:NetworkVar("Float", 1, "MaxFuel")
	self:NetworkVar("Int", 2, "Price")
end

function ENT:PhysgunPickup(ply)
	return !GetConVar("mg_movemode") or GetConVar("mg_movemode"):GetInt() > 1 and ply:IsAdmin() or GetConVar("mg_movemode") and GetConVar("mg_movemode"):GetInt() > 0 and ply:IsSuperAdmin()
end

function ENT:CanTool(ply, trace, mode)
	return !GetConVar("mg_movemode") or GetConVar("mg_movemode"):GetInt() > 1 and ply:IsAdmin() or GetConVar("mg_movemode") and GetConVar("mg_movemode"):GetInt() > 0 and ply:IsSuperAdmin()
end